### Method

# RB ExtDBKey get_field_values

#### Declaration [src]

    char**
    rb_ext_db_key_get_field_values (
      RBExtDBKey* key,
      const char* field
    )

#### Description [src]

Extracts the values for the specified field.

#### Parameters

`field`

  Type: `const char*`

  Field to retrieve.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

Field values, or NULL.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.